# Update Contact

{% put /%}
{% path text="/v1/contacts/update" /%}

Updates the email, name, phone number, job title and company name of the existing contact details.

## Code snippet

{% codetab %}

cURL

```shell
curl -X PUT 'https://api.boldsign.com/v1/contacts/update?id=6797a07d-26d7-41fa-b3a8-c8f72378a7a6c_ErZHN' \
-H 'accept: */*' \
-H 'X-API-KEY: {your API key}' \
-H 'Content-Type: application/json' \
-d '{
            "Email": "luthercooper@cubeflakes.com",
            "Name": "LutherCooper",
            "PhoneNumber": {
                 "CountryCode": "+1",
                 "Number": "2015550123"
            },
            "JobTitle": "Developer",
            "CompanyName": "CubeFlakes"
        }'
```

C#

```csharp
var apiClient = new ApiClient("https://api.boldsign.com", "Your_API_Key");

var contactClient = new ContactClient(apiClient);

var contactDetails = new ContactDetails()
{
    Email = "hankwhite@cubeflakes.com",
    Name = "HankWhite",
};

contactClient.UpdateContact("YOUR_CONTACT_ID", contactDetails);
```

Python

```python
import boldsign

configuration = boldsign.Configuration(host = "https://api.boldsign.com", api_key="YOUR_API_KEY")

with boldsign.ApiClient(configuration) as api_client:   

    contacts_api = boldsign.ContactsApi(api_client)
	
    contact_details = boldsign.ContactDetails(
        email="hankwhite@cubeflakes.com",
        name="HankWhite")

    contacts_api.update_contact(id="YOUR_CONTACT_ID", contact_details=contact_details)
```

PHP

```php
<?php require_once "vendor/autoload.php";

use BoldSign\Configuration;
use BoldSign\Api\ContactsApi;
use BoldSign\Model\{ContactDetails, PhoneNumber};

$config = new Configuration();
$config->setHost('https://api.boldsign.com');
$config->setApiKey('YOUR_API_KEY');

$contacts_api = new ContactsApi($config);

$contact_details = new ContactDetails(); 
$contact_details->setName('HankWhite');
$contact_details->setEmail('hankwhite@cubeflakes.com');

$contacts_api->updateContact($contactId = 'YOUR_CONTACT_ID', $contact_details);
```

Java

```java
ApiClient client = Configuration.getDefaultApiClient();
client.setBasePath("https://api.boldsign.com");
client.setApiKey("YOUR_API_KEY");

ContactsApi contactsApi = new ContactsApi(client);

ContactDetails contactDetails = new ContactDetails();
contactDetails.setEmail("hankwhite@cubeflakes.com");
contactDetails.setName("HankWhite");

contactsApi.updateContact("YOUR_CONTACT_ID", contactDetails);
```

NodeJS

```js
import { ContactsApi, ContactDetails } from "boldsign";

const contactsApi = new ContactsApi("https://api.boldsign.com");
contactsApi.setApiKey("YOUR_API_KEY");

const contactDetails = new ContactDetails();
contactDetails.name = "Luther Cooper";
contactDetails.email = "luthercooper@cubeflakes.com";

contactsApi.updateContact("YOUR_CONTACT_ID", contactDetails);
```

{% /codetab %}

## Query parameters

{% nestedtable %}

- {% arguments name="id" /%}{% batch datatype="String" /%}{% required /%}
- The Contact ID of the user. It can be obtained from the list contacts API or from the web app.

{% /nestedtable %}

## Request body

{% nestedtable %}

- {% arguments name="Email" /%}{% batch datatype="string" /%}{% required /%}
- The email address of the user.

---

- {% arguments name="Name" /%}{% batch datatype="string" /%}{% required /%}
- The name of the user

---

- {% arguments name="PhoneNumber" /%}{% batch datatype="object" /%}
- The Phone Number of user
  {% nestedtable %}

    - {% arguments name="CountryCode" /%}{% batch datatype="string" /%}
    - This property represents the country code associated with the phone number.

  ---

    - {% arguments name="Number" /%}{% batch datatype="string" /%}
    - This property represents the actual phone number.

  {% /nestedtable %}

---

- {% arguments name="JobTitle" /%}{% batch datatype="string" /%}
- The jobTitle of the user

---

- {% arguments name="CompanyName" /%}{% batch datatype="string" /%}
- The companyName of the user

{% /nestedtable %}

## Example response

**_200 No Content_**
